Permalink
Browse files

Fix Flow errors in ListViewData source.

Differential Revision: D5839414

fbshipit-source-id: 7a0c7b3d27be728c74e08d3a8209deb3ca68dd63
  • Loading branch information...
nmn authored and facebook-github-bot committed Sep 19, 2017
1 parent f426a83 commit 11963d824d42cf94caed7212e55e0452e5a537ea
Showing with 0 additions and 6 deletions.
  1. +0 −6 Libraries/Lists/ListView/ListViewDataSource.js
@@ -21,13 +21,7 @@ var warning = require('fbjs/lib/warning');
function defaultGetRowData(
dataBlob: any,
/* $FlowFixMe(>=0.53.0 site=react_native_fb) This comment suppresses an error
* found when Flow v0.53 was deployed. To see the error delete this comment
* and run Flow. */
sectionID: number | string,
/* $FlowFixMe(>=0.53.0 site=react_native_fb) This comment suppresses an error
* found when Flow v0.53 was deployed. To see the error delete this comment
* and run Flow. */
rowID: number | string,
): any {
return dataBlob[sectionID][rowID];

1 comment on commit 11963d8

@levito

This comment has been minimized.

Show comment
Hide comment
@levito

levito Oct 4, 2017

Could you please cherry-pick this commit into v0.49? Right now, flow warns about an unused suppression. Applying those changes removes the warning.

levito commented on 11963d8 Oct 4, 2017

Could you please cherry-pick this commit into v0.49? Right now, flow warns about an unused suppression. Applying those changes removes the warning.

Please sign in to comment.